data-accessor-0.2.2.7: Utilities for accessing and manipulating fields of records

Safe Haskell | Safe
Language | Haskell98

Data.Accessor.Tuple

Contents

- Example accessors for the pair type

Synopsis

- first :: T (a, b) a
- second :: T (a, b) b
- first3 :: T (a, b, c) a
- second3 :: T (a, b, c) b
- third3 :: T (a, b, c) c

# Example accessors for the pair type

first :: T (a, b) a #

Access to the first value of a pair.

second :: T (a, b) b #

Access to the second value of a pair.

first3 :: T (a, b, c) a #

Access to the first value of a triple.

second3 :: T (a, b, c) b #

Access to the second value of a triple.

third3 :: T (a, b, c) c #

Access to the third value of a triple.